$(document).ready(function () {
    $('ul.simple-drop-down-menu li').each(function () {
        $(this).hoverIntent({
            timeout: 300,
            over: function () {
                var current = $('ul:first', this);
                current.fadeIn(300)
            },
            out: function () {
                var current = $('ul:first', this);
                current.fadeOut(300)
            }
        })
    });
    $("ul.simple-drop-down-menu li:has(ul)").find("a:first").append("<span></span>");
    $("ul.simple-drop-down-menu li:has(ul) a").addClass("parent")
});
$(document).ready(function () {
    $.preloadCssImages();
    $(".first-word").each(function () {
        var me = $(this);
        me.html(me.html().replace(/^(\w+)/, '<strong>$1</strong>'))
    })
});
$(document).ready(function () {
    $(".portfolio-content.three-column > div.block").addClass("project");
    var $data = $(".portfolio-content").clone();
    $('.portfolio-main li.all-projects').addClass("current");
    $('.portfolio-main li').click(function (e) {
        $(".filter li").removeClass("current");
        var filterClass = $(this).attr('class').split(' ').slice(-1)[0];
        if (filterClass == 'all-projects') {
            var $filteredData = $data.find('.project')
        } else {
            var $filteredData = $data.find('.project[data-type=' + filterClass + ']')
        }
        $(".portfolio-content").quicksand($filteredData, {
            duration: 800,
            easing: 'swing',
            enhancement: function () {
                Cufon.refresh();
                $(".video-preview,.image-preview").mPreviewOverlay();
                $("*[rel^='prettyPhoto']").prettyPhoto()
            }
        });
        $(this).addClass("current");
        return false
    })
});
$(document).ready(function () {
    var cookieName = "active-view",
        cookieOptions = {
            expires: 7,
            path: "/"
        },
        blogEntry = $("#list-blog-entry li"),
        switcherLink = $("#view-switcher li a");
    switcherLink.css({
        opacity: .5
    });
    if ($.cookie("active-view") == null) {
        $("#view-switcher li a.display-list").css({
            opacity: 1
        }).parent().addClass("active");
        $("#list-blog-entry").addClass("display-list");
        blogEntry.equalHeights()
    } else {
        $("#view-switcher li a." + $.cookie(cookieName)).css({
            opacity: 1
        }).parent("li").addClass("active");
        blogEntry.removeAttr("style");
        $("#list-blog-entry").removeClass().addClass("list-blog-entry").fadeIn().addClass($.cookie(cookieName));
        blogEntry.equalHeights()
    }
    switcherLink.click(function () {
        blogEntry.removeAttr("style");
        switcherLink.css({
            opacity: .5
        });
        $(this).css({
            opacity: 1
        });
        $("#view-switcher li").removeClass("active");
        $.cookie(cookieName, $(this).attr("class"), cookieOptions);
        $("." + $.cookie(cookieName)).parent().addClass("active");
        $("#list-blog-entry").fadeOut(function () {
            $(this).removeClass().addClass("list-blog-entry").fadeIn(function () {
                blogEntry.equalHeights()
            }).addClass($.cookie(cookieName))
        })
    })
});
$(document).ready(function () {
    if ($.browser.webkit || $.browser.mozilla || $.browser.msie && $.browser.version >= 8) {
        $("#container").maxxSmoothPreloader()
    }
    $("*[rel^='prettyPhoto']").prettyPhoto();
    $(".video-preview,.image-preview").mPreviewOverlay();
    $(".back-to-top").click(function () {
        $('html,body').animate({
            scrollTop: 0
        }, 800)
    });
    $(".social-network li a img").css({
        opacity: .5
    });
    $(".social-network li a").hover(function () {
        $("img", this).stop().animate({
            opacity: 1,
            marginTop: '0px'
        }, 300)
    }, function () {
        $("img", this).stop().animate({
            opacity: .5,
            marginTop: '5px'
        }, 300)
    });
    $("#contact-form").validate();
    $(".list-blog-entry li:odd").addClass("odd");
    $("#sidebar .ads a:even,.list-blog-entry li:even").addClass("even");
    $(".services.three-column").countThree({
        className: "last-child-of-line"
    });
    $("ul.zigzag li:last-child,ul.simple-drop-down-menu ul li:last-child").css({
        borderBottom: "none"
    });
    $(".three-column .block:last-child").addClass("last-child");

    $("ul.display-short li").equalHeights();
    $(".services .block .content").equalHeights();
    $(".entry .block .content").equalHeights()
});